Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.struts2.dispatcher.ng
Class InitOperations

    java.lang.Object
      org.apache.struts2.dispatcher.ng.InitOperations

    public class InitOperations

extends java.lang.Object

Contains initialization operations

Constructor Summary
`InitOperations()`

Method Summary
`java.util.List<java.util.regex.Pattern>` | `buildExcludedPatternsList(Dispatcher dispatcher)` Extract a list of patterns to exclude from request filtering
`void` | `cleanup()`
`Dispatcher` | `findDispatcherOnThread()`
`Dispatcher` | `initDispatcher(HostConfig filterConfig)` Creates and initializes the dispatcher
`void` | `initLogging(HostConfig filterConfig)` Initializes the internal Struts logging
`StaticContentLoader` | `initStaticContentLoader(HostConfig filterConfig, Dispatcher dispatcher)` Initializes the static content loader with the filter configuration

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### InitOperations

    public InitOperations()

Method Detail

### initLogging

    public void initLogging(HostConfig filterConfig)

  Initializes the internal Struts logging

### initDispatcher

    public Dispatcher initDispatcher(HostConfig filterConfig)

  Creates and initializes the dispatcher

### initStaticContentLoader

    public StaticContentLoader initStaticContentLoader(HostConfig filterConfig,
                                                       Dispatcher dispatcher)

  Initializes the static content loader with the filter configuration

### findDispatcherOnThread

    public Dispatcher findDispatcherOnThread()

  Returns:
    The dispatcher on the thread.
  Throws:
    `java.lang.IllegalStateException` - If there is no dispatcher available

### cleanup

    public void cleanup()

### buildExcludedPatternsList

    public java.util.List<java.util.regex.Pattern> buildExcludedPatternsList(Dispatcher dispatcher)

  Extract a list of patterns to exclude from request filtering

  Parameters:
    `dispatcher` - The dispatcher to check for exclude pattern configuration
  Returns:
    a List of Patterns for request to exclude if apply, or `null`
  See Also:
    `StrutsConstants.STRUTS_ACTION_EXCLUDE_PATTERN`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2000-2011 Apache Software Foundation. All Rights Reserved.